/*

+ ProcessingSMS.pde

+ Built with Processing 0133 but should work with higher versions
+ Download @ http://www.processing.org/download/

+ Julien 'v3ga' Gachadoat
+ http://www.v3ga.net
+ http://www.2roqs.com

+ features : 
  - MySQL library by Florian Jenett ( http://www.bezier.de/mysql/ ) 

+ any tips / hints / suggestions please post comments to
  - http://v3ga.net/blog/?p=76

+ the storage of messages is up to you in the application. Thread synchronization is 
something to take care of when manipulating arrays / lists, read the post by Daniel Shiffman
on this subject 
  - http://www.shiffman.net/teaching/a2z/threads/
  
+ A direct application of this was demoed @ Centre Pompidou,Paris,France 
for the Web Flash Festival 2008, source codes are available here
  - http://www.flashfestival.net/2008/#/109/

*/

// Import
import de.bezier.mysql.*;

// SMS
SMSManager sms;

// setup()
void setup()
{
  size(200,200);
  background(0);
  
  sms = new SMSManager(this, 1); // period for messages retrieving, in second (here, 1 second)
  sms.start();
}

// draw()
void draw()
{
}
